## fslint 2.16

=== po/Makefile ===
DATADIR = /usr/share/
LOCALEDIR = $(DATADIR)/locale
DOMAIN = fslint

all: mo

#create pot file
$(DOMAIN).pot: fslint.c ../fslint-gui
	xgettext -k_ -kN_ -d$(DOMAIN) fslint.c -o $(DOMAIN).pot
	xgettext -k_ -kN_ -d$(DOMAIN) -Lpython ../fslint-gui -o $(DOMAIN).pot -j

#update all po fles
update-po: $(DOMAIN).pot
	for po in *.po; do \
		lingua=`basename $$po .po`; \
	        mv $$lingua.po $$lingua.old.po; \
		if msgmerge -o $$lingua.po $$lingua.old.po $(DOMAIN).pot; then \
		    rm $$lingua.old.po; \
		else \
		    rm -f $$lingua.po; \
		    mv $$lingua.old.po $$lingua.po; \
		fi \
	done

#create all mo files
mo:
	for po in *.po; do \
		lingua=`basename $$po .po` ; \
		msgfmt -cf -o $$lingua.mo $$po ; \
		mkdir -p locale/$$lingua/LC_MESSAGES/ ; \
		ln -f $$lingua.mo locale/$$lingua/LC_MESSAGES/$(DOMAIN).mo ; \
	done

#install mo files
install: mo
	for mo in *.mo; do \
		lingua=`basename $$mo .mo`; \
		install -D --mode=644 $$lingua.mo $(DESTDIR)/$(LOCALEDIR)/$$lingua/LC_MESSAGES/$(DOMAIN).mo ; \
	done

clean:
	rm -Rf locale
	rm -f *.mo

## fslint 2.24

=== po/Makefile ===
--- 
+++ 
@@ -5,16 +5,16 @@
 all: mo
 
 #create pot file
-$(DOMAIN).pot: fslint.c ../fslint-gui
-	xgettext -k_ -kN_ -d$(DOMAIN) fslint.c -o $(DOMAIN).pot
-	xgettext -k_ -kN_ -d$(DOMAIN) -Lpython ../fslint-gui -o $(DOMAIN).pot -j
+$(DOMAIN).pot: ../fslint.glade ../fslint-gui
+	xgettext          -d$(DOMAIN) -LGlade  ../fslint.glade -o $(DOMAIN).pot
+	xgettext -k_ -kN_ -d$(DOMAIN) -LPython ../fslint-gui   -o $(DOMAIN).pot -j
 
 #update all po fles
 update-po: $(DOMAIN).pot
 	for po in *.po; do \
 		lingua=`basename $$po .po`; \
-	        mv $$lingua.po $$lingua.old.po; \
-		if msgmerge -o $$lingua.po $$lingua.old.po $(DOMAIN).pot; then \
+		mv $$lingua.po $$lingua.old.po; \
+		if msgmerge -N -o $$lingua.po $$lingua.old.po $(DOMAIN).pot; then \
 		    rm $$lingua.old.po; \
 		else \
 		    rm -f $$lingua.po; \

## fslint 2.42

=== debian/changelog ===
fslint (2.42-3) unstable; urgency=low

  * control:
    - drop obsolete DMUA field
    - bump to dh9 build logic and standard to version 3.9.4
  * copyright: bump my copyright to 2013

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 13 May 2013 16:18:01 +0800

fslint (2.42-2) unstable; urgency=low

  * new upstream release. LP: #739109
    2.42-1 was a private release by Pádraig that never made it into Debian
  * debian/control:
    - add myself to Uploaders and set DMUA
    - bump standards version to 3.9.2
      + add $(misc:Depends) to runtime dependencies
      + improve short description for binary package
    - set VCS information
  * debian/rules: leverage the power of dh7 rules.tiny
    - fixes another lintian error
    - bump debian/compat from 5 to 7
    - bump build-time dependency for debhelper to dh7
  * debian/clean: remove po/*.mo files before building
  * debian/copyright: add my copyright for the packaging
  * debian/source/format: transition to 3.0 quilt format
  * debian/patches: backported upstream r261 wildcard dialog bug fix

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 14 Aug 2011 01:28:11 +0800

fslint (2.42-1) unstable; urgency=low

  * bump to release version

 -- Pádraig Brady <P@draigBrady.com>  thu, 29 apr 2010 08:31:00 +0000

fslint (2.41-1) unstable; urgency=low

  * bump to devel version
  * Use POSIX process substitution shell syntax (Closes: 548787)
  * Add detail on each fslint command to man page  (Closes: 548685)

 -- Pádraig Brady <P@draigBrady.com>  tue, 21 jul 2009 01:58:00 +0000

fslint (2.40-2) unstable; urgency=low

  * Fixup warnings from running lintian on source package

 -- Pádraig Brady <P@draigBrady.com>  thu, 23 jul 2009 09:27:00 +0000

fslint (2.40-1) unstable; urgency=low

  * bump to release version

 -- pádraig brady <p@draigbrady.com>  tue, 21 jul 2009 00:07:00 +0000

fslint (2.29-1) unstable; urgency=low

  * Bump to devel version
  * Add the debian updated German translation (Closes: 503232)
  * Add findutils as a dependency (Closes: 511805)
  * Give more info on CLI tools in fslint-gui man page (Closes: 511806)

 -- pádraig brady <p@draigbrady.com>  tue, 09 sep 2008 10:39:00 +0000

fslint (2.28-1) unstable; urgency=low

  * bump to release version

 -- pádraig brady <p@draigbrady.com>  tue, 09 sep 2008 08:09:00 +0000

fslint (2.27-1) unstable; urgency=low

  * Bump to devel version
  * Remove `echo -e` bashism from ancillary scripts (Closes: #489597)

 -- Pádraig Brady <P@draigBrady.com>  Tue, 10 Jul 2008 23:47:00 +0000

fslint (2.26-2) unstable; urgency=low

  * Minor packaging cleanups suggested by Cameron Dale

 -- Pádraig Brady <P@draigBrady.com>  Thu, 22 May 2008 15:17:00 +0000

fslint (2.26-1) unstable; urgency=low

  * Bump to release version

 -- Pádraig Brady <P@draigBrady.com>  Tue, 20 May 2008 08:06:00 +0000

fslint (2.25-1) unstable; urgency=low

  * Bump to devel version
  * Remove bash dependency from "fix whitespace" script (Closes: #446326)
  * Remove bc dependency from "dupwaste" script (Closes: #448882)

 -- Pádraig Brady <P@draigBrady.com>  Thu, 19 Sep 2007 10:40:00 +0000

fslint (2.24-1) unstable; urgency=low

  * Bump to release version

 -- Pádraig Brady <P@draigBrady.com>  Thu, 19 Sep 2007 07:38:00 +0000

fslint (2.23-1) unstable; urgency=low

  * Bump to devel version

 -- Pádraig Brady <P@draigBrady.com>  Thu, 28 Jun 2007 16:38:00 +0000

fslint (2.22-2) unstable; urgency=low

  * Minor packaging cleanups suggested by Bart Martens

 -- Pádraig Brady <P@draigBrady.com>  Mon, 02 Jul 2007 07:50:00 +0000

fslint (2.22-1) unstable; urgency=low

  * Bump to release version

 -- Pádraig Brady <P@draigBrady.com>  Thu, 28 Jun 2007 16:02:00 +0000

fslint (2.21-1) unstable; urgency=low

  * Bump to devel version
  * Remove findup -m cross device limitation (Closes: #426522)

 -- Pádraig Brady <P@draigBrady.com>  Fri, 30 Mar 2007 08:22:00 +0000

fslint (2.20-1) unstable; urgency=low

  * Update description to make FSlint easier to find (Closes: #413907)
  * Bump to release version

 -- Pádraig Brady <P@draigBrady.com>  Fri, 09 Mar 2007 07:54:00 +0000

fslint (2.19-2) unstable; urgency=low

  * add md5sum_approx

 -- Pádraig Brady <P@draigBrady.com>  Fri, 02 Feb 2007 00:34:00 +0000

fslint (2.19-1) unstable; urgency=low

  * Bump to devel version

 -- Pádraig Brady <P@draigBrady.com>  Tue, 26 Dec 2006 14:54:00 +0000

fslint (2.18-1) unstable; urgency=low

  * Bump to release version (Closes: #379999, #380208, #397046)

 -- Pádraig Brady <P@draigBrady.com>  Mon, 25 Dec 2006 23:54:00 +0000

fslint (2.17-1) unstable; urgency=low

  * Bump to devel version

 -- Pádraig Brady <P@draigBrady.com>  Tue, 28 Nov 2006 17:25:30 +0000

fslint (2.16-1) unstable; urgency=low

  * Cleanups suggested by lintian

 -- Pádraig Brady <P@draigBrady.com>  Thu, 01 Jun 2006 09:09:13 +0000

fslint (2.15-1) unstable; urgency=low

  * Cleanups suggested by Justin Pryzsb

 -- Pádraig Brady <P@draigBrady.com>  Thu, 09 Mar 2006 08:50:03 +0000

fslint (2.14-1) unstable; urgency=low

  * Initial release

 -- Pádraig Brady <P@draigBrady.com>  Thu, 16 Feb 2006 18:52:06 +0000

=== debian/control ===
Source: fslint
Section: admin
Priority: optional
Maintainer: Pádraig Brady <P@draigBrady.com>
Uploaders: Rolf Leggewie <foss@rolf.leggewie.biz>
Homepage: http://www.pixelbeat.org/fslint/
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: gettext (>= 0.13)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/fslint.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fslint.git

Package: fslint
Architecture: all
Depends: ${misc:Depends}, python (>= 2.3), python-gtk2 (>= 2.4), python-glade2, findutils (>=4.1.1)
Description: Utility collection to find and fix common errors in file storage
 FSlint is a toolkit to clean filesystem lint. It includes a GTK+ GUI
 as well as a command line interface and can be used to reclaim disk space.
 It has an interface for uninstalling packages, and it can find things like:
 .
    - Duplicate files
    - Problematic filenames
    - Temporary files
    - Bad symlinks
    - Empty directories
    - Nonstripped binaries

## fslint 2.44

=== debian/changelog ===
fslint (2.44-1) unstable; urgency=low

  * New upstream release
    - drop all patches as unneccesary for the latest upstream
  * control: bump to standard 3.9.5.  No further changes.
  * copyright: bump my copyright to 2014

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 16 Jan 2014 23:22:37 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://www.pixelbeat.org/fslint/
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: gettext (>= 0.13)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/collab-maint/fslint.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fslint.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

name       = fslint
installdir = debian/$(name)
bindir     = $(installdir)/usr/bin
_datadir   = /usr/share
datadir    = $(installdir)$(_datadir)

override_dh_install:
	# Note dh_installdirs will create dirs listed in fslint.dirs
	# Note dh_install will install files listed in fslint.install
	install -Dpm 755 fslint-gui ${bindir}/fslint-gui
	perl -pi -e 's|^liblocation=.*|liblocation="${_datadir}/${name}" #deb edit|' ${bindir}/fslint-gui
	perl -pi -e 's|^locale_base=.*|locale_base=None #deb edit|' ${bindir}/fslint-gui

	install -dm 755 ${datadir}/${name}/fslint/fstool
	install -dm 755 ${datadir}/${name}/fslint/supprt
	install -dm 755 ${datadir}/${name}/fslint/supprt/rmlint
	install -pm 644 fslint.glade fslint_icon.png ${datadir}/${name}
	install -dm 755 ${datadir}/pixmaps
	ln -s ../${name}/fslint_icon.png ${datadir}/pixmaps
	install -pm 755 fslint/find* fslint/fslint fslint/zipdir ${datadir}/${name}/fslint
	install -pm 755 fslint/fstool/* ${datadir}/${name}/fslint/fstool
	install -pm 755 fslint/supprt/get* ${datadir}/${name}/fslint/supprt
	install -pm 755 fslint/supprt/md5sum_approx ${datadir}/${name}/fslint/supprt
	install -pm 644 fslint/supprt/fslver ${datadir}/${name}/fslint/supprt
	install -pm 755 fslint/supprt/rmlint/* ${datadir}/${name}/fslint/supprt/rmlint
	$(MAKE) -C po DESTDIR=$(CURDIR)/$(installdir) install

	#Note dh_desktop doesn't install desktop files?
	install -Dpm 644 fslint.desktop ${datadir}/applications/fslint.desktop

	dh_install

=== debian/watch ===
# watch control file for uscan.
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://www.pixelbeat.org/fslint/fslint-(.*)\.tar\.gz

## fslint 2.46

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 DATADIR = /usr/share/
 LOCALEDIR = $(DATADIR)/locale
 DOMAIN = fslint
+INSTALL = $(shell ginstall --help >/dev/null 2>&1 && echo ginstall || echo install)
+MSGFMT = $(shell msgfmt --help 2>&1 | grep -- "--check" >/dev/null && echo "msgfmt -c" || echo "msgfmt")
 
 all: mo
 
@@ -26,7 +28,7 @@
 mo:
 	for po in *.po; do \
 		lingua=`basename $$po .po` ; \
-		msgfmt -cf -o $$lingua.mo $$po ; \
+		$(MSGFMT) -o $$lingua.mo $$po ; \
 		mkdir -p locale/$$lingua/LC_MESSAGES/ ; \
 		ln -f $$lingua.mo locale/$$lingua/LC_MESSAGES/$(DOMAIN).mo ; \
 	done
@@ -35,7 +37,7 @@
 install: mo
 	for mo in *.mo; do \
 		lingua=`basename $$mo .mo`; \
-		install -D --mode=644 $$lingua.mo $(DESTDIR)/$(LOCALEDIR)/$$lingua/LC_MESSAGES/$(DOMAIN).mo ; \
+		$(INSTALL) -D --mode=644 $$lingua.mo $(DESTDIR)/$(LOCALEDIR)/$$lingua/LC_MESSAGES/$(DOMAIN).mo ; \
 	done
 
 clean:

=== debian/changelog ===
fslint (2.46-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package, set maintainer to Debian QA Group.
  * New upstream release. Closes: #858772.
    + Fix symlink searches. Closes: #885153, LP: #1345605.
  * d/patches: Remove useless patches, backport upstream trunk commits
    till 2018/04/19.
  * d/control: Apply "wrap-and-sort -abst".
  * d/control: Bump debhelper compat to v11.
  * d/control: Bump Standards-Version to 4.1.4.
  * d/rules: Use "dh_missing --fail-missing".
  * d/copyright: Rewrite with machine-readable format.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 26 May 2018 18:13:17 +0800

fslint (2.44-5) unstable; urgency=medium

  * control: drop myself from Uploaders
    I feel I can no longer justify the effort to maintain this package
    for Debian.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 18 Apr 2018 14:35:14 +0800

fslint (2.44-4) unstable; urgency=medium

  * control: use publicly accessible Vcs-Git URI
  * patches:
    - backport r291 from upstream. Closes: #767932
    - backport 9efd7fff from upstream. Closes: #892356
  * watch: include tar.xz in watch

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Apr 2018 17:16:51 +0800

fslint (2.44-3) unstable; urgency=medium

  * patches: fix error in r290 patch
  * control: update git URIs
  * copyright: update my copyright to 2018

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 15 Apr 2018 18:35:35 +0800

fslint (2.44-2) unstable; urgency=low

  * apply upstream r290 to allow fslint to be found more easily

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 16 Sep 2014 12:27:56 +0800

=== debian/control ===
Source: fslint
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: https://www.pixelbeat.org/fslint/
Build-Depends:
 debhelper (>= 11~),
Build-Depends-Indep:
 gettext (>= 0.13),
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/fslint
Vcs-Git: https://salsa.debian.org/debian/fslint.git

Package: fslint
Architecture: all
Depends:
 findutils (>= 4.1.1),
 python (>= 2.6),
 python-glade2,
 python-gtk2 (>= 2.4),
 ${misc:Depends},
Description: Utility collection to find and fix common errors in file storage
 FSlint is a toolkit to clean filesystem lint. It includes a GTK+ GUI
 as well as a command line interface and can be used to reclaim disk space.
 It has an interface for uninstalling packages, and it can find things like:
 .
    - Duplicate files
    - Problematic filenames
    - Temporary files
    - Bad symlinks
    - Empty directories
    - Nonstripped binaries

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
 %:
 	dh $@
 
@@ -12,9 +16,9 @@
 	# Note dh_installdirs will create dirs listed in fslint.dirs
 	# Note dh_install will install files listed in fslint.install
 	install -Dpm 755 fslint-gui ${bindir}/fslint-gui
-	perl -pi -e 's|^liblocation=.*|liblocation="${_datadir}/${name}" #deb edit|' ${bindir}/fslint-gui
-	perl -pi -e 's|^locale_base=.*|locale_base=None #deb edit|' ${bindir}/fslint-gui
-
+	sed -i -e 's|^liblocation=.*|liblocation="${_datadir}/${name}" #deb edit|' ${bindir}/fslint-gui
+	sed -i -e 's|^locale_base=.*|locale_base=None #deb edit|' ${bindir}/fslint-gui
+	# more manual installation
 	install -dm 755 ${datadir}/${name}/fslint/fstool
 	install -dm 755 ${datadir}/${name}/fslint/supprt
 	install -dm 755 ${datadir}/${name}/fslint/supprt/rmlint
@@ -28,8 +32,11 @@
 	install -pm 644 fslint/supprt/fslver ${datadir}/${name}/fslint/supprt
 	install -pm 755 fslint/supprt/rmlint/* ${datadir}/${name}/fslint/supprt/rmlint
 	$(MAKE) -C po DESTDIR=$(CURDIR)/$(installdir) install
-
+	#
 	#Note dh_desktop doesn't install desktop files?
 	install -Dpm 644 fslint.desktop ${datadir}/applications/fslint.desktop
+	# let dh_install handle the remaining things
+	dh_install
 
-	dh_install
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
--- 
+++ 
@@ -7,4 +7,4 @@
 version=3
 
 # Uncomment to examine a Webserver directory
-http://www.pixelbeat.org/fslint/fslint-(.*)\.tar\.gz
+https://www.pixelbeat.org/fslint/fslint-(.*)\.tar\.[gx]z

## fslint 2.47

=== debian/changelog ===
fslint (2.47-0mx15+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Jul 2017 13:40:24 -0700

fslint (2.47-0ubuntu0+sicklylife~ppa4) xenial; urgency=medium

  * bump to devel version

 -- Sickly Life <sicklylife@yahoo.co.jp>  Sun, 19 Mar 2017 00:00:00 +0000

fslint (2.47-0ubuntu0+sicklylife~ppa3) xenial; urgency=medium

  * Fixed jp.po

 -- Sickly Life <sicklylife@yahoo.co.jp>  Sat, 25 Feb 2017 00:00:00 +0000

fslint (2.47-0ubuntu0+sicklylife~ppa2) xenial; urgency=medium

  * Fixed jp.po

 -- Sickly Life <sicklylife@yahoo.co.jp>  Fri, 24 Feb 2017 00:00:00 +0000

fslint (2.47-0ubuntu0+sicklylife~ppa1) xenial; urgency=medium

  * New upstream release.

 -- Sickly Life <sicklylife@yahoo.co.jp>  Wed, 15 Feb 2017 00:00:00 +0000

fslint (2.46-1) unstable; urgency=low

  * bump to release version

 -- Pádraig Brady <P@draigBrady.com>  Wed, 01 feb 2017 22:31:00 +0000

fslint (2.45-1) unstable; urgency=low

  * bump to devel version

 -- Pádraig Brady <P@draigBrady.com>  mon, 13 jan 2014 08:32:00 +0000

fslint (2.43-1) unstable; urgency=low

  * bump to devel version

 -- Pádraig Brady <P@draigBrady.com>  thu, 29 apr 2010 23:57:00 +0000

=== debian/control ===
Source: fslint
Section: admin
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pádraig Brady <P@draigBrady.com>
Homepage: http://www.pixelbeat.org/fslint/
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: gettext (>= 0.13)
Standards-Version: 3.8.0

Package: fslint
Architecture: all
Depends: python (>= 2.3), python-gtk2 (>= 2.4), python-glade2, findutils (>=4.1.1)
Description: A utility to fix problems with filesystems' data, like duplicate files
 FSlint is a toolkit to clean filesystem lint. It includes a GTK+ GUI
 as well as a command line interface and can be used to reclaim disk space.
 It has an interface for uninstalling packages, and it can find things like:
 .
    - Duplicate files
    - Problematic filenames
    - Temporary files
    - Bad symlinks
    - Empty directories
    - Nonstripped binaries

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
-
-%:
-	dh $@
+#export DH_VERBOSE=1
 
 name       = fslint
 installdir = debian/$(name)
@@ -12,13 +15,30 @@
 _datadir   = /usr/share
 datadir    = $(installdir)$(_datadir)
 
-override_dh_install:
+build:
+	dh_testdir
+	# Could modify source here before install,
+	# but doing so would not allow one to run dpkg-buildpackage
+	# from a working source tree.
+	# Instead source edits are done in install:
+
+clean:
+	dh_testdir
+	dh_testroot
+	$(MAKE) -C po clean
+	dh_clean
+
+install:
+	dh_testdir
+	dh_testroot
+	dh_clean
+
 	# Note dh_installdirs will create dirs listed in fslint.dirs
 	# Note dh_install will install files listed in fslint.install
 	install -Dpm 755 fslint-gui ${bindir}/fslint-gui
 	sed -i -e 's|^liblocation=.*|liblocation="${_datadir}/${name}" #deb edit|' ${bindir}/fslint-gui
 	sed -i -e 's|^locale_base=.*|locale_base=None #deb edit|' ${bindir}/fslint-gui
-	# more manual installation
+
 	install -dm 755 ${datadir}/${name}/fslint/fstool
 	install -dm 755 ${datadir}/${name}/fslint/supprt
 	install -dm 755 ${datadir}/${name}/fslint/supprt/rmlint
@@ -32,11 +52,31 @@
 	install -pm 644 fslint/supprt/fslver ${datadir}/${name}/fslint/supprt
 	install -pm 755 fslint/supprt/rmlint/* ${datadir}/${name}/fslint/supprt/rmlint
 	$(MAKE) -C po DESTDIR=$(CURDIR)/$(installdir) install
-	#
-	#Note dh_desktop doesn't install desktop files?
+
+        #Note dh_desktop doesn't install desktop files?
 	install -Dpm 644 fslint.desktop ${datadir}/applications/fslint.desktop
-	# let dh_install handle the remaining things
-	dh_install
 
-override_dh_missing:
-	dh_missing --fail-missing
+
+# Build architecture-dependent files here.
+binary-dep: build
+
+# Build architecture-independent files here.
+binary-indep: install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs
+	dh_installdocs
+	dh_installman
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep
+
+binary-arch:
+
+.PHONY: build clean binary-indep binary install
